ltk-0.12.1.0: Leksah tool kit

Safe Haskell | Safe-Inferred

MyMissing

Description

Module for missing base functions

Synopsis

- allOf :: forall alpha. (Bounded alpha, Enum alpha) => [alpha]
- forceJust :: Maybe alpha -> String -> alpha
- forceHead :: [alpha] -> String -> alpha
- split :: Eq a => a -> [a] -> [[a]]
- replace :: Eq a => [a] -> [a] -> [a] -> [a]
- nonEmptyLines :: String -> [String]
- trim :: String -> String

# Documentation

allOf :: forall alpha. (Bounded alpha, Enum alpha) => [alpha]Source

forceJust :: Maybe alpha -> String -> alphaSource

forceHead :: [alpha] -> String -> alphaSource

split :: Eq a => a -> [a] -> [[a]]Source

replace :: Eq a => [a] -> [a] -> [a] -> [a]Source

nonEmptyLines :: String -> [String]Source

trim :: String -> String Source

remove leading and trailing spaces